com.snowflake.client.jdbc

## Class SnowflakeResultChunk

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeResultChunk

    public class SnowflakeResultChunk
    extends Object

Class for result chunk Created by jhuang on 11/12/14.

### Nested Class Summary

Nested Classes
`static class` `SnowflakeResultChunk.DownloadState`

### Field Summary

Fields
`ArrayList<Object[]>` `rowSet`

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeResultChunk(String url, int rowCount, int colCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColCount()`
`Condition` `getDownloadCondition()`
`String` `getDownloadError()`
`SnowflakeResultChunk.DownloadState` `getDownloadState()`
`long` `getDownloadTime()`
`ReentrantLock` `getLock()`
`long` `getParseTime()`
`com.fasterxml.jackson.databind.JsonNode` `getResultData()`
`int` `getRowCount()`
`ArrayList<Object[]>` `getRowset()`
`String` `getUrl()`
`void` `setDownloadError(String downloadError)`
`void` `setDownloadState(SnowflakeResultChunk.DownloadState downloadState)`
`void` `setDownloadTime(long downloadTime)`
`void` `setParseTime(long parseTime)`
`void` `setResultData(com.fasterxml.jackson.databind.JsonNode resultData)`
`void` `setRowSet(ArrayList<Object[]> rowSet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rowSet

    public ArrayList<Object[]> rowSet

### Constructor Detail

#### SnowflakeResultChunk

    public SnowflakeResultChunk(String url,
                                int rowCount,
                                int colCount)

### Method Detail

#### getResultData

    public com.fasterxml.jackson.databind.JsonNode getResultData()

#### setResultData

    public void setResultData(com.fasterxml.jackson.databind.JsonNode resultData)

#### getRowset

    public final ArrayList<Object[]> getRowset()

#### setRowSet

    public final void setRowSet(ArrayList<Object[]> rowSet)

#### getUrl

    public String getUrl()

#### getRowCount

    public final int getRowCount()

#### getColCount

    public final int getColCount()

#### getDownloadTime

    public long getDownloadTime()

#### setDownloadTime

    public void setDownloadTime(long downloadTime)

#### getParseTime

    public long getParseTime()

#### setParseTime

    public void setParseTime(long parseTime)

#### getLock

    public ReentrantLock getLock()

#### getDownloadCondition

    public Condition getDownloadCondition()

#### getDownloadError

    public String getDownloadError()

#### setDownloadError

    public void setDownloadError(String downloadError)

#### getDownloadState

    public SnowflakeResultChunk.DownloadState getDownloadState()

#### setDownloadState

    public void setDownloadState(SnowflakeResultChunk.DownloadState downloadState)